<back to all web services

SpecificListsGetRequest

The following routes are available for this service:
PUT/RestApi/lists-api/items
import Foundation
import ServiceStack

public class SpecificListsGetRequest : Codable
{
    public var ids:[String]
    public var provider:String

    required public init(){}
}

// @DataContract
public class CollectionContext<T : Codable> : Codable
{
    // @DataMember
    public var totalCount:Int

    // @DataMember
    public var isGeneric:Bool

    // @DataMember
    public var context:[String:String]

    // @DataMember
    public var items:[ItemsTargetLanguageStatusProxy]

    required public init(){}
}

public class ItemsTargetLanguageStatusProxy : Codable
{
    public var code:String
    public var name:String
    public var someItemsHaveIncompatiblePendingTranslations:Bool
    public var allItemsHaveIncompatiblePendingTranslations:Bool

    required public init(){}
}


Swift SpecificListsGetRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/lists-api/items HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"Provider":"String"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}